Sign in to follow this  
spilok

Scenery compatibilities

Recommended Posts

As a brand new user of Prepar3v4, and never having the previous versions, I was curious about scenery compatibility.  Can a scenery like Niagara Falls/Buffalo from Aerosoft (or OTHERS) that were compatible with Version 3 also work in Version 4?  There are many excellent planes and sceneries for the previous versions of Prepared, but V4 is is still quite lacking.

 

Stan

Share this post


Link to post
Help AVSIM continue to serve you!
Please donate today!

Hi Stan

In general yes, sceneries are the type of addons that are least affected by the switch to P3Dv4. You wont see P3Dv4's dynamic lighting of course, and depending on what SDK they are based on, you may see graphical errors up to a point where its unusable (they entirely removed support for FS9 style ground poly's in V4). You may also find PAPI lights or other light sources to be missing completely. 

I installed about 5 airports that are not explicitly P3Dv4 compatible and didnt find any issues when doing a quick check. In fact, most sceneries that are touted to be V4 compatible only received a new installer that is able to pull the P3Dv4 installation path from the registry (like most Aerosoft sceneries)

If in doubt just install and check yourself. If the scenery installer doesnt detect P3Dv4 just point it to your V4 installation directory. Scenery installs can easily be reverted by removing the entry in your scenery cfg, so you wont really break your existing installation.  

Complex planes and other addons (using simconnect) are a different story though....

Share this post


Link to post

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
Sign in to follow this